std::deque::begin,std::deque::cbegin(3)

NAME
std::deque::begin,std::deque::cbegin - std::deque::begin,std::deque::cbegin

Synopsis
   iterator begin(); (until C++11)
   iterator begin() noexcept; (since C++11)
   const_iterator begin() const; (until C++11)
   const_iterator begin() const noexcept; (since C++11)
   const_iterator cbegin() const noexcept; (since C++11)
   Returns an iterator to the first element of the deque.
   If the deque is empty, the returned iterator will be equal to end().
   range-begin-end.svg

Parameters
   (none)

Return value
   Iterator to the first element.

Complexity
   Constant.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <numeric>
 #include <string>
 #include <deque>
 int main()
 {
     std::deque<int> nums {1, 2, 4, 8, 16};
     std::deque<std::string> fruits {"orange", "apple", "raspberry"};
     std::deque<char> empty;
     // Print deque.
     std::for_each(nums.begin(), nums.end(), [](const int n) { std::cout << n << ' '; });
     std::cout << '\n';
     // Sums all integers in the deque nums (if any), printing only the result.
     std::cout << "Sum of nums: "
               << std::accumulate(nums.begin(), nums.end(), 0) << '\n';
     // Prints the first fruit in the deque fruits, checking if there is any.
     if (!fruits.empty())
         std::cout << "First fruit: " << *fruits.begin() << '\n';
     if (empty.begin() == empty.end())
         std::cout << "deque 'empty' is indeed empty.\n";
 }

Output:
 1 2 4 8 16
 Sum of nums: 31
 First fruit: orange
 deque 'empty' is indeed empty.

See also
   end returns an iterator to the end
   cend (public member function)
   (C++11)
   begin
   cbegin returns an iterator to the beginning of a container or array
   (C++11) (function template)
   (C++14)